textures/ut4_blockhaus/hc_tuyaux
{
	cull none
	nopicmip
	surfaceparm alphashadow
	surfaceparm playerclip
	{
		map textures/ut4_blockhaus/hc_tuyaux.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/ut4_blockhaus/hc_barbeles
{
	cull none
	nopicmip
	surfaceparm alphashadow
	surfaceparm playerclip
	{
		map textures/ut4_blockhaus/hc_barbeles.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/ut4_blockhaus/hc_open
{
	cull none
	nopicmip
	surfaceparm alphashadow
	surfaceparm playerclip
	{
		map textures/ut4_blockhaus/hc_open.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/ut4_blockhaus/hc_barbeles2
{
	cull none
	nopicmip
	surfaceparm alphashadow
	surfaceparm playerclip
	{
		map textures/ut4_blockhaus/hc_barbeles2.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/ut4_blockhaus/hc_sacjute
{
	surfaceparm nodamage
	{
		map textures/ut4_blockhaus/hc_sacjute.jpg
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/ut4_blockhaus/hc_cableselec
{
	cull none
	nopicmip
	surfaceparm alphashadow
	surfaceparm playerclip
	deformVertexes wave 111 sin 0 3 0 .1
	{
		map textures/ut4_blockhaus/hc_cableselec.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/ut4_blockhaus/hc_flecho
{
	cull none
	//nopicmip
	surfaceparm alphashadow
	surfaceparm playerclip
	{
		map textures/ut4_blockhaus/hc_flecho.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/ut4_blockhaus/cascade
{
	qer_editorimage textures/ut4_blockhaus/blue_water1d.jpg
	qer_nocarve
	qer_trans 0.3

	surfaceparm trans
	surfaceparm water
	surfaceparm alphashadow
	surfaceparm lightfilter
//	surfaceparm nomarks

	sort 7
	{
		map textures/ut4_blockhaus/blue_water1d.tga
		blendfunc gl_dst_color gl_src_color
		tcMod turb 1 0.1 1 0.05
		tcMod scroll 0.0 -0.51
	}
        {
		map textures/ut4_blockhaus/blue_water1d.tga
		blendfunc gl_dst_color gl_src_color
		tcMod turb 1 0.1 1 0.07
		tcMod scroll 0.0 -0.47
        }
	{
		map textures/ut4_blockhaus/blue_water1d.tga
		blendfunc gl_dst_color gl_src_color
		tcMod scroll 0.0 -0.6
	}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/ut4_blockhaus/hc_lierre
{
        qer_editorimage textures/ut4_blockhaus/hc_lierre.tga
    	surfaceparm trans
   	surfaceparm nonsolid
	cull none
        //nopicmip
	deformVertexes wave 194 sin 0 2 0 .2
	{
		map textures/ut4_blockhaus/hc_lierre.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/ut4_blockhaus/hc_verre_lamp
{
	qer_editorimage textures/ut4_blockhaus/hc_verre_lamp.jpg
	q3map_lightimage textures/fti/ftidaylight.tga
	q3map_surfacelight 15000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_blockhaus/hc_verre_lamp.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_blockhaus/hc_verre_lamp.jpg
		blendFunc add
		//rgbGen wave square 0.5 0.5 0 10
	}
	
}
textures/ut4_blockhaus/hc_halo
{
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
            clampmap textures/ut4_blockhaus/hc_halo.jpg
            blendFunc GL_ONE GL_ONE
          }
}
textures/ut4_blockhaus/hc_tubelum
{
	qer_editorimage textures/ut4_blockhaus/hc_tubesans.jpg
	surfaceparm nomarks
	surfaceparm nodamage
	q3map_lightimage textures/ut4_blockhaus/hc_tubelum.jpg
	q3map_surfacelight 1000
	q3map_lightsubdivide 128
	{
		map textures/ut4_blockhaus/hc_tubesans.jpg
		rgbGen identity
	}
	{
		map textures/ut4_blockhaus/hc_tubeavec.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.5 0.5 0 0.5
	}
}
//---------------------------DECALS
textures/ut4_blockhaus/decal_ciment1
{
	qer_editorimage textures/ut4_blockhaus/decal_ciment1.jpg
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ut4_blockhaus/decal_ciment1.jpg
		blendfunc gl_dst_color gl_src_color
	}
}
textures/ut4_blockhaus/decal_coulures1
{
	qer_editorimage textures/ut4_blockhaus/decal_coulures1.jpg
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ut4_blockhaus/decal_coulures1.jpg
		blendfunc gl_dst_color gl_src_color
	}
}
textures/ut4_blockhaus/decal_ecoulement1
{
	qer_editorimage textures/ut4_blockhaus/decal_ecoulement1.jpg
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ut4_blockhaus/decal_ecoulement1.jpg
		blendfunc gl_dst_color gl_src_color
	}
}
textures/ut4_blockhaus/decal_fissures1
{
	qer_editorimage textures/ut4_blockhaus/decal_fissures1.jpg
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ut4_blockhaus/decal_fissures1.jpg
		blendfunc gl_dst_color gl_src_color
	}
}
textures/ut4_blockhaus/decal_troumur
{
	qer_editorimage textures/ut4_blockhaus/decal_troumur.jpg
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ut4_blockhaus/decal_troumur.jpg
		blendfunc gl_dst_color gl_src_color
	}
}
textures/ut4_blockhaus/decal_reck
{
	qer_editorimage textures/ut4_blockhaus/decal_reck.jpg
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ut4_blockhaus/decal_reck.jpg
		blendfunc gl_dst_color gl_src_color
	}
}
textures/ut4_blockhaus/decal_redneck
{
	qer_editorimage textures/ut4_blockhaus/decal_redneck.jpg
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/ut4_blockhaus/decal_redneck.jpg
		blendfunc gl_dst_color gl_src_color
	}
}
