textures/ut4_cave/barresfen
{
	cull none
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
    	{
		map textures/ut4_cave/barresfen.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/ut4_cave/barremur
{
	cull none
	nopicmip
	surfaceparm ladder
	surfaceparm nodamage
    	{
		map textures/ut4_cave/barremur.tga
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/ut4_cave/cable
{
	cull none
	surfaceparm ladder
	//deformVertexes wave 194 sin 0 2 0 .1
	{
		map textures/ut4_cave/cable.tga
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/ut4_cave/croisirouille
{
	cull none
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm noimpact
	//surfaceparm nodamage
    	{
		map textures/ut4_cave/croisirouille.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/ut4_cave/echellerouil
{
	cull none
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm ladder
    	{
		map textures/ut4_cave/echellerouil.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/ut4_cave/fondtorrent
{
	qer_editorimage textures/ut4_cave/torrent1.tga
        q3map_globaltexture
        surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight
        
        cull disable
        {
            map textures/ut4_cave/torrent1.tga
            rgbGen identity
            tcMod scroll -0.05 0.0
        }
        
}
textures/ut4_cave/grillemur
{
	cull none
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm nodamage
    	{
		map textures/ut4_cave/grillemur.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/ut4_cave/ladderrad
{
	qer_editorimage textures/ut4_cave/ladderrad.tga
	qer_trans 0.50
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
	surfaceparm metalsteps
}
textures/ut4_cave/lampei
{
	qer_editorimage textures/ut4_cave/lampei.jpg
	q3map_lightimage textures/ut4_cave/lampeilum.jpg
	surfaceparm nomarks
        //surfaceparm nodamage
	q3map_surfacelight 8000
	{
		map $lightmap 
		rgbGen identity
		//tcGen lightmap 
	}
	{
		map textures/ut4_cave/lampei.jpg
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/ut4_cave/lampeilum.jpg
		blendfunc add
		rgbGen identity
	}
}
textures/ut4_cave/pavelight3000
{
	qer_editorimage textures/ut4_cave/lumjaune.tga
	//q3map_lightimage envhop/skybox_up.tga
	q3map_lightimage textures/ut4_cave/lumjaune.tga

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact

	q3map_surfacelight 8000
	q3map_lightsubdivide 64
	{
		map $lightmap
		rgbGen identity
		depthFunc equal
	}
	{
		map textures/ut4_cave/pavelight.tga
		blendFunc GL_DST_COLOR GL_ZERO
		alphaFunc GE128
		depthWrite

		rgbGen identity
	}
}
textures/ut4_cave/porteprison
{
	cull none
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
    	{
		map textures/ut4_cave/porteprison.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/ut4_cave/porteprison2
{
	cull none
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
    	{
		map textures/ut4_cave/porteprison2.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/ut4_cave/solferrouil
{
        qer_editorimage textures/ut4_cave/solferrouil.tga
    	surfaceparm trans
	surfaceparm playerclip	
	cull none
	{
		map textures/ut4_cave/solferrouil.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
//		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/ut4_cave/torrent
{
	qer_editorimage textures/ut4_cave/torrent3.tga
        qer_trans 0.5
        q3map_globaltexture
	q3map_cheapwater 1 0.9 0.9 1

        surfaceparm trans
	//surfaceparm noimpact
	//surfaceparm nolightmap
	//surfaceparm nomarks
	//surfaceparm nodlight
        surfaceparm water

        cull disable
	//nopicmip
	//fogparms ( 0.1 0.23 0.14 ) 1024
        {
            map textures/ut4_cave/torrent3.tga
            blendFunc blend
	    alphaGen const 0.1
            rgbGen identity
            tcMod scale 4.0 4.0
	    tcMod turb 0 0.1 0.1 0.3
        }
        {
            map textures/ut4_cave/torrent3.tga
            blendFunc blend
	    alphaGen const 0.1
            rgbGen identity
            tcMod scroll 0.0 -0.1
        }
        {
            map textures/ut4_cave/torrent2.tga
            blendFunc blend
	    alphaGen const 0.1
            rgbGen identity
            tcMod scale 3.6 3.6
	    tcMod turb 0 0.1 1 0.1
        }
}

